<h1 mat-dialog-title>Lead Info</h1>
<div class="">
  <mat-error *ngIf="error">{{ error }}</mat-error>
  <div class="successMsg" *ngIf="successMsg">{{successMsg}}</div>
  <div fxLayout="row wrap" fxLayoutGap="10px grid">
    <div fxFlex="50%">
      <span>First Name : </span><span>{{leadInfo.first_name}}</span>
    </div>
    <div fxFlex="50%">
      <span>Last Name : </span><span>{{leadInfo.last_name}}</span>
    </div>
    <div fxFlex="50%">
      <span>Email : </span><span>{{leadInfo.email}}</span>
    </div>
    <div fxFlex="50%">
      <span>Phone : </span><span>{{leadInfo.phone}}</span>
    </div>
    <div fxFlex="50%">
      <mat-form-field appearance="outline" *ngIf="userInfo_member.role == 'ROLE_Admin'">
        <mat-label>Select Team Member</mat-label>
        <mat-select name="str_byTeam" (selectionChange)="onChangeMember($event, leadInfo._id)" value="{{leadInfo.byTeam}}">
          <mat-option value=''>--</mat-option>
          <mat-option *ngFor="let element of teamList" [value]="element._id">
            {{element.first_name + ' ' + element.last_name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <div *ngIf="userInfo_member.role != 'ROLE_Admin'">
        <span>Team Member : </span><span>{{ userInfo_member.first_name + ' ' + userInfo_member.last_name }}</span>
      </div>
    </div>
    <div fxFlex="50%">
      <mat-form-field appearance="outline">
        <mat-label>Select Status</mat-label>
        <mat-select name="selectedStatus" (selectionChange)="onChangeStatus($event, leadInfo._id)" value="{{leadInfo.status}}">
          <mat-option *ngFor="let element of statusList" [value]="element._id">
            {{element.status}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div fxFlex="50%">
      <mat-form-field appearance="outline">
        <mat-label>Select Type</mat-label>
        <mat-select name="selectedType" (selectionChange)="onChangeType($event, leadInfo._id)" value="{{leadInfo.type}}">
          <mat-option *ngFor="let element of typeList" [value]="element._id">
            {{element.type}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div fxFlex="50%">
      <mat-form-field appearance="outline">
        <mat-label>Select SubType</mat-label>
        <mat-select name="selectedSubType" (selectionChange)="onChangeSubType($event, leadInfo._id)" value="{{leadInfo.subtype}}">
          <mat-option *ngFor="let element of subtypeList" [value]="element._id">
            {{element.subtype}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>

    <div fxFlex="100%">
      <mat-form-field appearance="outline">
        <mat-label>Contact Again</mat-label>
        <input matInput [ngxMatDatetimePicker]="picker" placeholder="Choose a date" [formControl]="dateControl"
            [min]="minDate" [max]="maxDate" [disabled]="disabled" [(ngModel)]="date">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #picker [showSpinners]="showSpinners" [showSeconds]="showSeconds"
            [stepHour]="stepHour" [stepMinute]="stepMinute" [stepSecond]="stepSecond"
            [touchUi]="touchUi" [color]="color" [enableMeridian]="enableMeridian" 
            [disableMinute]="disableMinute" [hideTime]="hideTime">
        </ngx-mat-datetime-picker>
      </mat-form-field>
    </div>

    <div fxFlex="100%">
      <mat-checkbox class="example-margin" (change)="phoneChecked($event.checked, leadInfo._id)" [checked]="leadInfo.perm_phone == '1' ? true : false">Phone</mat-checkbox>
      <mat-checkbox class="example-margin" (change)="emailChecked($event.checked, leadInfo._id)" [checked]="leadInfo.perm_email == '1' ? true : false">Email</mat-checkbox>
      <mat-checkbox class="" (change)="textChecked($event.checked, leadInfo._id)" [checked]="leadInfo.perm_text == '1' ? true : false">Text</mat-checkbox>
    </div>
    
    <div fxFlex="100%" *ngIf="!show_comment">
      <span (click)="showComment()">+ Add Comment</span>
    </div>
    <div fxFlex="80%" fxFlex.xs="100%" fxFlex.sm="50%" *ngIf="show_comment">
      <mat-form-field appearance="outline">
        <mat-label>Comment</mat-label>
        <textarea matInput placeholder="Enter Comment" rows="5" [(ngModel)]="str_comment"></textarea>
      </mat-form-field>
    </div>
    <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="50%" *ngIf="show_comment">
      <button mat-raised-button (click)="saveCommnet()">Save</button>
    </div>
    
    <div fxFlex="100%">
      <div class="example-table-container">

        <table mat-table [dataSource]="commentList" class="example-table">
          <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef>Date</th>
            <td mat-cell *matCellDef="let row">{{getDate(row.date)}}</td>
          </ng-container>
  
          <ng-container matColumnDef="team_member">
            <th mat-header-cell *matHeaderCellDef>Team Member</th>
            <td mat-cell *matCellDef="let row">{{row.team_member}}</td>
          </ng-container>
  
          <ng-container matColumnDef="comment">
            <th mat-header-cell *matHeaderCellDef>Comment</th>
            <td mat-cell *matCellDef="let row">{{row.comment}}</td>
          </ng-container>
  
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
    </div>
  </div>
</div>
<!-- <mat-divider></mat-divider>
<div class="content-action">
  <button mat-raised-button (click)="save_btn()">Save</button>
  <button mat-raised-button (click)="cancel_btn()">Cancel</button>
</div> -->
